/* BPFT traffic collector.
 * 
 * The version variable
 *
 *      BPFT $Id: version.c,v 2.4 2001/09/10 13:26:39 stas Exp $
 *
 *      $Log: version.c,v $
 *      Revision 2.4  2001/09/10 13:26:39  stas
 *      Change type => change of using VERSION_SNAPHOT_ID.
 *
 *      Revision 2.3  2001/09/07 04:45:12  stas
 *      Replcae version variable with version() function.
 *      Add compile date & time for snapshot-versions.
 *
 *      Revision 2.2  2001/09/03 12:22:16  stas
 *      Add the '-snapshot' identifier for version.
 *
 *      Revision 2.1  2001/05/08 12:41:33  stas
 *      Initialise the 'version' variable from .h file defines.
 *
 *
 *
*/

#include "version.h"


char *version(){
	static char version[40];

#ifdef VERSION_SNAPHOT_ID
	sprintf(version, "%u.%u-snapshot-%s", VERSION_MAJOR, VERSION_MINOR, VERSION_SNAPHOT_ID);
#else
	sprintf(version, "%u.%u-release", VERSION_MAJOR, VERSION_MINOR);
#endif
	return version;
}
