/*
Small program for test stat() & lstat() results.

**/

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>

print(struct stat lst)
{
printf ("%8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u %8u"
	" %8u %8u %8u %8u %8u \n",
lst.st_dev,     lst.st_ino,     lst.st_mode,    lst.st_nlink,
lst.st_uid,     lst.st_gid,     lst.st_rdev,
#ifndef _POSIX_SOURCE
lst.st_atimespec.tv_sec, lst.st_atimespec.tv_nsec,
lst.st_mtimespec.tv_sec, lst.st_mtimespec.tv_nsec,
lst.st_ctimespec.tv_sec, lst.st_ctimespec.tv_nsec,
#else
lst.st_atime, lst.st_atimensec,
lst.st_mtime, lst.st_mtimensec,
lst.st_ctime, lst.st_ctimensec,
#endif
lst.st_size, lst.st_blocks,     lst.st_blksize,
lst.st_flags,   lst.st_gen,     lst.st_lspare,  lst.st_qspare[0],
lst.st_qspare[1]);

}

main(){

struct stat st,lst,stl,lstl;

lstat( "/var/tmp/trafd.ed0", &lst );
stat( "/var/tmp/trafd.ed0", &st );
lstat( "/var/tmp/trafd.edl", &lstl );
stat( "/var/tmp/trafd.edl", &stl );

printf ("/var/tmp/trafd.ed0\nlst:\t");
print( lst );
printf( "st:\t" );
print( st );

printf ("/var/tmp/trafd.edl\nlstl:\t");
print( lstl );

printf ("stl:\t");
print( stl );
}

