/*
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 *	BPFT $Id: trafd.h,v 1.3 2001/12/02 10:08:50 stas Exp $
 *
 *	$Log: trafd.h,v $
 *	Revision 1.3  2001/12/02 10:08:50  stas
 *	Add 'minsize' variable.
 *	
 *	Revision 1.2  2001/09/06 14:35:55  stas
 *	Add 'extern pcap_t *pd' for use pcap_stats() in traffic.c
 *
 *	Revision 1.1  2001/09/06 14:32:54  stas
 *	Initial revision from Vladimir Vorobyev <bob@turbo.nsk.su> &
 *	Vitaly V. Belekhov <vitaly@riss-telecom.ru>
 *
 * Revision 1.1  1993/10/20  16:04:41  bob
 * Initial revision
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

extern int Xflag;
extern int errno;
/*extern unsigned char *snapend; */
extern int flag_int;		/* SIGINT flag indicator */
extern int flag_hup;		/* SIGHUP flag indicator */
extern int flag_usr1;
extern char *device_name;	/* readable interface name */
extern char file_out[];		/* filename for temporary save to */
extern char file_backup[];	/* filename for append overflow table to */
extern char file_fifo[];
extern struct timeval begin_time;
extern unsigned long minsize;   /* minimum n_psize value for save record */
extern pcap_t *pd;              /* lib_pcap descriptor */

extern int traf_init();
extern void traf_restore();
extern void traf_save();
extern void traf_pipe();
extern void traf_clear();

#ifndef SYSLOG_FACILITY
#define SYSLOG_FACILITY LOG_DAEMON
#endif

