/*
 *	Copyleft (c) 2001 Grumbler <g@grumbler.org>
 *
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 *	BPFT $Id: traflog.h,v 4.1 2001/09/02 12:32:28 stas Exp $
 *
 *	$Log: traflog.h,v $
 *	Revision 4.1  2001/09/02 12:32:28  stas
 *	Add 'order' variable declaration.
 *	
 *	Revision 4.0  2001/09/02 12:26:47  stas
 *	Add ORDER_* defines.
 *
 *	Revision 1.2  2001/09/02 12:23:37  stas
 *	Initial revision from Vladimir Vorobyev <bob@turbo.nsk.su> &
 *	Vitaly V. Belekhov <vitaly@riss-telecom.ru>
 *
 * Revision 1.2  1994/01/06  15:24:57  bob
 * Expanded range of keywords
 *
 * Revision 1.1  1993/12/05  14:00:44  bob
 * Initial revision
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

#define	NOCMD		0
#define	FROM		1
#define	TO		2
#define	PORT		3
#define	PROTO		4
#define	MASK		5
#define	BYTES		6
#define	FTIME		7
#define	LTIME		8
#define	SPORT		9
#define	DPORT		10
#define	PSIZE		11

#define	EQUAL		0
#define	LESS		-1
#define	GREATER		1

#define ORDER_TO	0
#define ORDER_FROM	1
#define ORDER_SIZE      2
#define ORDER_DPORT	3
#define ORDER_SPORT	4

struct fmt_var {
	char *format;
	int cmd;
};

extern int aflag;
extern int sflag;
extern int lflag;
extern int rflag;
extern unsigned short order;
extern int begin, endin;
extern int tbflag, teflag;
extern int fvnum;
extern struct timeval tb, te;
extern struct fmt_var *fv;
extern char *device_name;
